Raritan PX2/PX3 JSON-RPC API: portsmodel::Port_2_0_2 Interface Reference

Raritan PX2/PX3 JSON-RPC API

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
portsmodel::Port_2_0_2 Interface Reference

Port interface. More...

`import"Port.idl";`

## Classes
struct | DetectionMode
| Port detection mode. More...
struct | Properties
| Port properties. More...

## Public Types
enum | DetectionType { AUTO, PINNED, DISABLED }
| Port detection type. More...

## Public Member Functions
Properties | getProperties ()
| Get the current properties of the port. More...
void | setName (in string name)
| NOT USED RIGHT NOW! More...
int | setDetectionMode (in DetectionMode mode)
| Set the detection mode for the port. More...
vector< string > | getDetectableDevices ()
| Get all detectable devices of this port. More...
Object | getDevice ()
| Get the connected device of the port. More...
Object | getDeviceConfig (in string deviceType)
| Get device type specific configuration interface. More...
PortFuse | getFuse ()
| Get the fuse for this port. More...

## Public Attributes
constant int | NO_ERROR = 0
| Error codes. More...
constant int | ERR_INVALID_PARAM = 1
| invalid parameter for an operation
constant int | ERR_DEVICE_BUSY = 2
| operation fails because connected device is busy
valueobject | PropertiesChangedEvent: idl::Event { Properties oldProperties
| Event: The port properties have changed. More...
Properties | newProperties
| Properties after change.
valueobject | DeviceChangedEvent: idl::Event { Object oldDevice
| Event: The device connected to the port has changed. More...
Object | newDevice
| Connected device after change.

## Detailed Description

Port interface.

## Member Enumeration Documentation

## ◆ DetectionType

enum portsmodel::Port_2_0_2::DetectionType

Port detection type.

Enumerator
AUTO | auto detection of connected devices
PINNED | port is pinned to a specific device type
DISABLED | port is disabled and will not detect any device connected

## Member Function Documentation

## ◆ getDetectableDevices()

vector<string> portsmodel::Port_2_0_2::getDetectableDevices | ( |  | ) |

Get all detectable devices of this port.

Returns
  List of all registered detectable Devices

## ◆ getDevice()

Object portsmodel::Port_2_0_2::getDevice | ( |  | ) |

Get the connected device of the port.

Returns
  Device connected to Port

## ◆ getDeviceConfig()

Object portsmodel::Port_2_0_2::getDeviceConfig | ( | in string | deviceType | ) |

Get device type specific configuration interface.

Parameters

  deviceType | Device type to get configuration interface for

Returns
  Device configuration interface

## ◆ getFuse()

PortFuse portsmodel::Port_2_0_2::getFuse | ( |  | ) |

Get the fuse for this port.

Returns
  A fuse instance, if available

## ◆ getProperties()

Properties portsmodel::Port_2_0_2::getProperties | ( |  | ) |

Get the current properties of the port.

Returns
  Properties of the Port

## ◆ setDetectionMode()

int portsmodel::Port_2_0_2::setDetectionMode | ( | in DetectionMode | mode | ) |

Set the detection mode for the port.

Parameters

  mode | new detection mode

Returns
  NO_ERROR on success
  ERR_INVALID_PARAM invalid parameter
  ERR_DEVICE_BUSY device busy (e.g. Asset Strip Firmware Update)

## ◆ setName()

void portsmodel::Port_2_0_2::setName | ( | in string | name | ) |

NOT USED RIGHT NOW!

Set the port name

Parameters

  name | new port name

## Member Data Documentation

## ◆ DeviceChangedEvent

valueobject portsmodel::Port_2_0_2::DeviceChangedEvent

Event: The device connected to the port has changed.

Connected device before change

## ◆ NO_ERROR

constant int portsmodel::Port_2_0_2::NO_ERROR = 0

Error codes.

operation successful, no error

## ◆ PropertiesChangedEvent

valueobject portsmodel::Port_2_0_2::PropertiesChangedEvent

Event: The port properties have changed.

Properties before change

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/Port.idl